org.hibernate.search.batchindexing

## Interface MassIndexerProgressMonitor

- All Superinterfaces:
    IndexingMonitor
  All Known Implementing Classes:
    JMXRegistrar.IndexingProgressMonitor, SimpleIndexingProgressMonitor

      public interface MassIndexerProgressMonitor
      extends IndexingMonitor

  As a MassIndexer can take some time to finish it's job, a MassIndexerProgressMonitor can be defined in the configuration property hibernate.search.worker.indexing.monitor implementing this interface to track indexing performance.

  Implementations must:

  - be threadsafe
  - have a no-arg constructor
  Author:
    Sanne Grinovero, Hardy Ferentschik

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addToTotalCount(long count)` The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up.
    `void` | `documentsBuilt(int number)` The number of Documents built; This is invoked several times and concurrently during the indexing process.
    `void` | `entitiesLoaded(int size)` The number of entities loaded from database; This is invoked several times and concurrently during the indexing process.
    `void` | `indexingCompleted()` Invoked when the indexing is completed.

    - ### Methods inherited from interface org.hibernate.search.backend.IndexingMonitor

      `documentsAdded`

- - ### Method Detail

    - #### documentsBuilt

          void documentsBuilt(int number)

      The number of Documents built; This is invoked several times and concurrently during the indexing process.
      Parameters:
        `number` - number of `Document`s built

    - #### entitiesLoaded

          void entitiesLoaded(int size)

      The number of entities loaded from database; This is invoked several times and concurrently during the indexing process.
      Parameters:
        `size` - number of entities loaded from database

    - #### addToTotalCount

          void addToTotalCount(long count)

      The total count of entities to be indexed is added here; It could be called more than once, the implementation should add them up. This is invoked several times and concurrently during the indexing process.
      Parameters:
        `count` - number of newly indexed entities which has to be added to total count

    - #### indexingCompleted

          void indexingCompleted()

      Invoked when the indexing is completed.

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved